Package io.vertx.mysqlclient

## Class MySQLBatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.mysqlclient.MySQLBatchException

- All Implemented Interfaces:
    `Serializable`

      public class MySQLBatchException
      extends VertxException

  `MySQLBatchException` is thrown if an error occurs during executions when using `PreparedQuery.executeBatch(List)`. The client will try to execute with all the params no matter if one iteration of the executions fails, the iteration count is counted from zero.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MySQLBatchException()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<Integer,​Throwable>` | `getIterationError()` | Get the detailed errors of all failed iterations in batching.
    `void` | `reportError​(int iteration, Throwable error)` |

    - ### Methods inherited from class io.vertx.core.VertxException

      `noStackTrace, noStackTrace, noStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MySQLBatchException

          public MySQLBatchException()

  - ### Method Detail

    - #### getIterationError

          public Map<Integer,​Throwable> getIterationError()

      Get the detailed errors of all failed iterations in batching.
      Returns:
        the iteration count and error mapping

    - #### reportError

          public void reportError​(int iteration,
                                  Throwable error)